Multiplex tests fail on 5.2p1

Darren Tucker dtucker at zip.com.au
Tue May 5 13:47:09 EST 2009


On Mon, May 04, 2009 at 03:51:40PM -0700, petesea at bigfoot.com wrote:
> ClamAV 0.94.2
>
> I noticed "make tests" for openssh-5.2p1 fails the multiplex.sh tests.
>
> Turns out this is because I happen to have some non-standard 
> configuration options in $HOME/.ssh/config and most of the multiplex.sh 
> tests do not use a "-F $OBJ/ssh_config" option, which means they end up 
> reading the users $HOME/.ssh/config.
>
> Is this on purpose or a bug?

I think it's a bug.  Certainly I can't think of a good reason for it.
The obvious change seems to work for me, does it work for you?

Index: regress/multiplex.sh
===================================================================
RCS file: /home/dtucker/openssh/cvs/openssh/regress/multiplex.sh,v
retrieving revision 1.17
diff -u -p -r1.17 multiplex.sh
--- regress/multiplex.sh	31 Jan 2006 10:57:27 -0000	1.17
+++ regress/multiplex.sh	5 May 2009 03:45:53 -0000
@@ -26,7 +26,7 @@ sleep 5
 
 verbose "test $tid: envpass"
 trace "env passing over multiplexed connection"
-_XXX_TEST=blah ${SSH} -oSendEnv="_XXX_TEST" -S$CTL otherhost sh << 'EOF'
+_XXX_TEST=blah ${SSH} -F $OBJ/ssh_config -oSendEnv="_XXX_TEST" -S$CTL otherhost sh << 'EOF'
 	test X"$_XXX_TEST" = X"blah"
 EOF
 if [ $? -ne 0 ]; then
@@ -36,26 +36,26 @@ fi
 verbose "test $tid: transfer"
 rm -f ${COPY}
 trace "ssh transfer over multiplexed connection and check result"
-${SSH} -S$CTL otherhost cat ${DATA} > ${COPY}
+${SSH} -F $OBJ/ssh_config -S$CTL otherhost cat ${DATA} > ${COPY}
 test -f ${COPY}			|| fail "ssh -Sctl: failed copy ${DATA}" 
 cmp ${DATA} ${COPY}		|| fail "ssh -Sctl: corrupted copy of ${DATA}"
 
 rm -f ${COPY}
 trace "ssh transfer over multiplexed connection and check result"
-${SSH} -S $CTL otherhost cat ${DATA} > ${COPY}
+${SSH} -F $OBJ/ssh_config -S $CTL otherhost cat ${DATA} > ${COPY}
 test -f ${COPY}			|| fail "ssh -S ctl: failed copy ${DATA}" 
 cmp ${DATA} ${COPY}		|| fail "ssh -S ctl: corrupted copy of ${DATA}"
 
 rm -f ${COPY}
 trace "sftp transfer over multiplexed connection and check result"
 echo "get ${DATA} ${COPY}" | \
-	${SFTP} -S ${SSH} -oControlPath=$CTL otherhost >$LOG 2>&1
+	${SFTP} -S ${SSH} -F $OBJ/ssh_config -oControlPath=$CTL otherhost >$LOG 2>&1
 test -f ${COPY}			|| fail "sftp: failed copy ${DATA}" 
 cmp ${DATA} ${COPY}		|| fail "sftp: corrupted copy of ${DATA}"
 
 rm -f ${COPY}
 trace "scp transfer over multiplexed connection and check result"
-${SCP} -S ${SSH} -oControlPath=$CTL otherhost:${DATA} ${COPY} >$LOG 2>&1
+${SCP} -S ${SSH} -F $OBJ/ssh_config -oControlPath=$CTL otherhost:${DATA} ${COPY} >$LOG 2>&1
 test -f ${COPY}			|| fail "scp: failed copy ${DATA}" 
 cmp ${DATA} ${COPY}		|| fail "scp: corrupted copy of ${DATA}"
 
@@ -64,7 +64,7 @@ rm -f ${COPY}
 for s in 0 1 4 5 44; do
 	trace "exit status $s over multiplexed connection"
 	verbose "test $tid: status $s"
-	${SSH} -S $CTL otherhost exit $s
+	${SSH} -F $OBJ/ssh_config -S $CTL otherhost exit $s
 	r=$?
 	if [ $r -ne $s ]; then
 		fail "exit code mismatch for protocol $p: $r != $s"
@@ -72,7 +72,7 @@ for s in 0 1 4 5 44; do
 
 	# same with early close of stdout/err
 	trace "exit status $s with early close over multiplexed connection"
-	${SSH} -S $CTL -n otherhost \
+	${SSH} -F $OBJ/ssh_config -S $CTL -n otherhost \
                 exec sh -c \'"sleep 2; exec > /dev/null 2>&1; sleep 3; exit $s"\'
 	r=$?
 	if [ $r -ne $s ]; then
@@ -81,10 +81,10 @@ for s in 0 1 4 5 44; do
 done
 
 trace "test check command"
-${SSH} -S $CTL -Ocheck otherhost || fail "check command failed" 
+${SSH} -F $OBJ/ssh_config -S $CTL -Ocheck otherhost || fail "check command failed" 
 
 trace "test exit command"
-${SSH} -S $CTL -Oexit otherhost || fail "send exit command failed" 
+${SSH} -F $OBJ/ssh_config -S $CTL -Oexit otherhost || fail "send exit command failed" 
 
 # Wait for master to exit
 sleep 2

-- 
Darren Tucker (dtucker at zip.com.au)
GPG key 8FF4FA69 / D9A3 86E9 7EEE AF4B B2D4  37C9 C982 80C7 8FF4 FA69
    Good judgement comes with experience. Unfortunately, the experience
usually comes from bad judgement.


More information about the openssh-unix-dev mailing list